function [pos vel bitn] = bbcollision(p1, p2, v1, v2, r)
% compute a collision reaction between two particles at positions p1
% and p2, with velocities v1 and v2 respectively
vel = zeros(2,1);
pos = zeros(2,1);

n = p2 - p1;
d = norm(n);
n = n/d;
vr = v2 - v1;
vr_dot_n = dot(vr, n)*n;
vel(:,1) = v1 + vr_dot_n;
vel(:,2) = v2 - vr_dot_n;

% separate the balls so they don't get stuck together
bit = r - 0.5*d;
bitn = floor(bit)*n;
pos(:,2) = round(p2 + bitn);
pos(:,1) = round(p1 - bitn);
