function ploterr(errp, errv, numneurons, ftrain)
% program to save a plot of position and velocity errors

fig = figure();
ah = axes();
hold on
plot(ah, 1:length(errp), errp);
xlabel(ah, 'Collision');
ylabel(ah, 'Error in position');
title(ah, 'Error in Position after each collision');
set(findall(fig,'type','text'),'fontSize',13,'fontWeight','bold');
set(fig, 'PaperSize', [10.0 5.0]);
set(fig, 'PaperPosition', [0 5 10 5]);
set(fig, 'PaperOrientation', 'landscape');
nn = '';
for i = numneurons'
  nn = [nn '-' num2str(i)];
end
saveas(ah, ['ploterrpsm' nn '_' num2str(ftrain)], 'pdf');
hold off
clf

fig = figure();
ah = axes();
hold on
plot(ah, 1:length(errv), errv);
xlabel(ah, 'Collision');
ylabel(ah, 'Error in velocity');
title(ah, 'Error in Velocity after each collision');
set(findall(fig,'type','text'),'fontSize',13,'fontWeight','bold');
set(fig, 'PaperSize', [10.0 5.0]);
set(fig, 'PaperPosition', [0 5 10 5]);
set(fig, 'PaperOrientation', 'landscape');
nn = '';
for i = numneurons'
  nn = [nn '-' num2str(i)];
end
saveas(ah, ['ploterrvsm' nn '_' num2str(ftrain)], 'pdf');
hold off
