function [pn v] = wbcollisions(pn, v, N, r)
% determine if a particle in pn collides with the wall, if so, adjust its
% velocity in v, and adjust its displacement as to not go through the wall

len = length(pn);
for i = 1:len % check for wall collisions
  if (pn(1,i) > N - r) || (pn(1,i) < r) % right or left wall collision
    v(1,i) = -v(1,i);     % mirror velocity vector

    % adjust positions to avoid particles visually passing the boundary
    if pn(1,i) > N - r
      pn(1,i) = N - r;
    end
    if pn(1,i) < r
      pn(1,i) = r;
    end
  end % if x coordinate not ok

  if (pn(2,i) > N - r) || (pn(2,i) < r) % bottom or top wall collision
    v(2,i) = -v(2,i);     % mirror velocity vector

    % adjust positions to avoid particles visually passing the boundary
    if pn(2,i) > N - r
      pn(2,i) = N - r;
    end
    if pn(2,i) < r
      pn(2,i) = r;
    end
  end % if y coordinate not ok
end

